> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate session



## OpenAPI

````yaml /reference/link-transaction.json post /checkout/sessions/generate
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /checkout/sessions/generate:
    post:
      tags:
        - Checkout
      summary: Generate session
      operationId: post_generate-checkout-session
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                business_id:
                  type: string
                amount:
                  type: integer
                currency:
                  type: string
                reference_id:
                  type: string
                success_url:
                  type: string
                cancel_url:
                  type: string
              required:
                - currency
                - amount
                - business_id
                - reference_id
                - cancel_url
                - success_url
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````